import json


def prepare_for_zige_info(zige_review):
    try:
        zige_info = ""
        fuhe_info = ""
        zigefuhe_info = ""
        # 检查是否存在"资格性和符合性审查"
        if "资格性和符合性审查" in zige_review:
            # 情况3：只有"申请人资格要求"和"资格性和符合性审查"
            zigefuhe_info = json.dumps({
                "申请人资格要求": zige_review.get("申请人资格要求", "未提供"),
                "资格性和符合性审查": zige_review.get("资格性和符合性审查", "未提供")
            }, ensure_ascii=False, indent=4)
        else:
            # 情况1和2：存在分开的资格审查和符合性审查
            zige_info = json.dumps({
                "申请人资格要求": zige_review.get("申请人资格要求", "未提供"),
                "资格性审查": zige_review.get("资格性审查", "未提供")
            }, ensure_ascii=False, indent=4)

            # 处理符合性审查的两种可能的键名
            fuhe_key = "符合性审查" if "符合性审查" in zige_review else "符合性审查(以下情况不得出现)"
            fuhe_info = json.dumps({
                fuhe_key: zige_review.get(fuhe_key, "未提供")
            }, ensure_ascii=False, indent=4)
        return zige_info,fuhe_info,zigefuhe_info
    except KeyError as e:
        print(f"缺少关键字: {e}")
data={
        "资格审查": {
            "申请人资格要求": [
                "1.满足《中华人民共和国政府采购法》第二十二条规定；即：1）具有独立承担民事责任的能力； 2）具有良好的商业信誉和健全的财务会计制度； 3）具有履行合同所必须的设备和专业技术能力； 4）有依法交纳税收和社会保障资金的良好记录； 5）参加政府采购活动前三年内，在经营活动中没有重大违法记录； 6）法律、行政法规规定的其他条件。",
                "2.单位负责人为同一人或者存在直接控股、管理关系的不同投标人，不得参加本项目同一合同 项下的政府采购活动。",
                "3.未被列入“信用中国”网站(www.creditchina.gov.cn)失信被执行人、重大税收违法案件当事人名 单、政府采购严重违法失信名单和“中国政府采购”网站（www.ccgp.gov.cn）政府采购严重违法失信 行为记录名单（以磋商公告发布之日起查询结果为准）。",
                "4.落实政府采购政策需满足的资格要求： 本项目（是/否）专门面向中小微型企业：否 。需落实的节能环保、中小微型企业扶持（含支 持监狱企业发展、促进残疾人就业）等相关政府采购政策详见磋商文件。"
            ],
            "资格性审查": {
                "资格要求": "符合本采购文件第一章第二款要求，并提供合格有效的证明材料。",
                "其他要求": [
                    "符合竞争性磋商文件规定的其他要求",
                    "是否符合竞争性磋商采购文件中的其他规定"
                ],
                "磋商报价": [
                    "每一种采购内容是否只有一个报价",
                    "报价金额是否超过采购预算"
                ],
                "磋商书签字盖章": "是否有法定代表人或其委托代理人签字并加盖单位公章",
                "磋商结果有效期": "投标有效期满足招标文件要求。",
                "信誉情况": "无不良经济纠纷记录和违法行为的；",
                "采购需求响应": [
                    "是否实质性响应采购文件采购技术要求的",
                    "是否有提出采购人不能接受的合同条件的"
                ]
            },
            "符合性审查": {
                "磋商报价": [
                    "每一种采购内容是否只有一个报价",
                    "报价金额是否超过采购预算"
                ],
                "磋商书签字盖章": "是否有法定代表人或其委托代理人签字并加盖单位公章",
                "磋商结果有效期": "投标有效期满足招标文件要求。",
                "信誉情况": "无不良经济纠纷记录和违法行为的；",
                "采购需求响应": [
                    "是否实质性响应采购文件采购技术要求的",
                    "是否有提出采购人不能接受的合同条件的"
                ],
                "其他要求": "是否符合竞争性磋商采购文件中的其他规定"
            }
        }
    }
zige_info,fuhe_info,zigefuhe_info=prepare_for_zige_info(data)
print(zigefuhe_info)
print(zige_info)
print(fuhe_info)